Overview
GET
/chat/chats/{id}chatGet chats by id
Fetch a record from chats by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
chats
- idstring
- ownerUserIdstring
- ecosystemIdstring
- typestring
- namestring
- descriptionstring
- headerImagestring
- headerBackgroundImagestring
- backgroundImagestring
- statestring
- securitystring
- modelstring
- personaSlugstring?
- personaIdstring?
- createdAtstring
- updatedAtstring
- deletedAtstring?
Example
{
"id": "string",
"ownerUserId": "string",
"ecosystemId": "string",
"type": "string",
"name": "string",
"description": "string",
"headerImage": "string",
"headerBackgroundImage": "string",
"backgroundImage": "string",
"state": "string",
"security": "string",
"model": "string",
"personaSlug": "string",
"personaId": "string",
"createdAt": "string",
"updatedAt": "string",
"deletedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/chats/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chats/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();